Validation
Returns the validation results matching the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. The returned validation results satisfy all constraints that are specified in this search criteria. By default a result containing at most 1000 validation results is returned.
The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.
0Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
-1The unique identifier of the asset for which we are searching validation results.
The unique identifier of the job for which we are searching validation results.
The unique identifier of the validation rule for which we are searching validation results.
Check the validationResults of only the most recent job according to the other criteria.
Check the validationResults of only the most recent execution (inside or outside a validation job) according to the other criteria.
Filter on the result of validation results.
The paged response with found ValidationResults.
The total number of results.
1000The offset for the results.
10The maximum number of results to be returned.
100GET /rest/2.0/validation HTTP/1.1
Authorization: Basic username:password
Accept: */*
The paged response with found ValidationResults.
{
"total": 1000,
"offset": 10,
"limit": 100,
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"asset": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"validationRule": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"result": true,
"message": "text",
"jobId": "123e4567-e89b-12d3-a456-426614174000"
}
]
}Validates a single asset.
the unique identifier of the asset to be validated
The asset has been validated successfully.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The validation result (true, false or null if there was an error.
The error message (if any). Can be a translatable key.
ID of the job that performed the validation.
POST /rest/2.0/validation/{assetId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
The asset has been validated successfully.
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"asset": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"validationRule": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"result": true,
"message": "text",
"jobId": "123e4567-e89b-12d3-a456-426614174000"
}
]Validates multiple assets.
Validation Job successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/validation/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 77
{
"assetIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"sendNotification": true
}Validation Job successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Last updated
Was this helpful?